/* 
* Blowhole (Game Boy Advance puzzler) - collision_data.h
* Description: Collision map for the Blowhole sprite
* License: Copyright (C) 2002 Lance Legan, Something Screwy Productions;
*    This file is part of Blowhole.
*
*    Blowhole is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    Blowhole is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with Blowhole; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*    The GNU GPL can be found online at: http://www.gnu.org/licenses/
*    Blowhole can be found online at: http://www.somethingscrewy.com/
*/

#ifndef COLLISION_DATA_H
#define COLLISION_DATA_H

/* 
* This collision map corresponds with the Blowhole sprite, and is compared 
* with the current level's collision map (which is rendered by the game) to 
* determine collision.  (0 = pixel does not cause collision, 1 = pixel does 
* cause collision) It has been "compressed" horizontally by using 4 bits 
* for each pixel, therefore each number on this map represents two pixels 
* as follows: 0 = 00, 1 = 01, 2 = 10, 3 = 11 (the binary equivalents).
*/

const u8 whalecollision[16][8] = {
{ 0, 0, 0, 0, 0, 0, 0, 0},
{ 0, 0, 0, 0, 0, 0, 0, 0},
{ 0, 0, 0, 0, 0, 0, 0, 0},
{ 0, 0, 0, 0, 0, 0, 0, 0},
{ 0, 1, 3, 3, 0, 0, 0, 0},
{ 0, 1, 3, 3, 0, 0, 0, 0},
{ 0, 3, 3, 3, 3, 3, 2, 0},
{ 1, 3, 3, 3, 3, 3, 2, 0},
{ 3, 3, 3, 3, 3, 3, 2, 0},
{ 3, 3, 3, 3, 3, 3, 2, 0},
{ 3, 3, 3, 3, 3, 3, 2, 0},
{ 3, 3, 3, 3, 3, 3, 2, 0},
{ 1, 3, 3, 3, 2, 0, 0, 0},
{ 0, 3, 3, 3, 2, 0, 0, 0},
{ 0, 3, 3, 3, 2, 0, 0, 0},
{ 0, 0, 0, 0, 0, 0, 0, 0}
};

#endif


