/* 
* Blowhole (Game Boy Advance puzzler) - dma.h
* Modified by Lance from a tutorial by dovoto (see PROPS.txt file)
* Description: Definitions for Direct Memory Access transfers
* License: Public Domain - this file may be used and redistributed 
*    as desired (see PUBLIC.txt file)
*
*    Blowhole can be found online at: http://www.somethingscrewy.com/
*/

#ifndef DMA_H
#define DMA_H
void WaitForVblank();

//REG_DMxCNT flags
#define DMA_ENABLE                 0x80000000
#define DMA_INTERUPT_ENABLE        0x40000000
#define DMA_TIMING_IMMEDIATE       0x00000000
#define DMA_TIMING_VBLANK          0x10000000
#define DMA_TIMING_HBLANK          0x20000000
#define DMA_TIMING_SYNC_TO_DISPLAY 0x30000000
#define DMA_16                     0x00000000
#define DMA_32                     0x04000000
#define DMA_REPEATE                0x02000000
#define DMA_SOURCE_INCREMENT       0x00000000
#define DMA_SOURCE_DECREMENT       0x00800000
#define DMA_SOURCE_FIXED           0x01000000
#define DMA_DEST_INCREMENT         0x00000000
#define DMA_DEST_DECREMENT         0x00200000
#define DMA_DEST_FIXED             0x00400000
#define DMA_DEST_RELOAD            0x00600000

//some commonly used options grouped together
#define DMA_32NOW   DMA_ENABLE | DMA_TIMING_IMMEDIATE | DMA_32 
#define DMA_16NOW   DMA_ENABLE | DMA_TIMING_IMMEDIATE | DMA_16 

#endif

