/* 
* Blowhole (Game Boy Advance puzzler) - levels_data.h
* Generated by hand, but a simple level editor could be written to do this
* Description: Data for all the levels in the game, see comments within code 
*    for specific details
* License: Copyright (C) 2002 Lance Legan, Something Screwy Productions;
*    This file is part of Blowhole.
*
*    Blowhole is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    Blowhole is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with Blowhole; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*    The GNU GPL can be found online at: http://www.gnu.org/licenses/
*    Blowhole can be found online at: http://www.somethingscrewy.com/
*/

#ifndef LEVELS_DATA_H
#define LEVELS_DATA_H

#define NUMBERLEVELS 25     //number of levels in the level array

/*
* Each level of the game is contained in the following array.  A level
* is made up of 16x16 pixel tiles, and is 15x10 tiles large.  The numbers
* 0-5 each correspond to a certain tile as follows:
* 0 = water, free to swim through
* 1 = rocks, permanent boundry
* 2 = net, breakable boundry
* 3 = yellow pearl, collectable item
* 4 = school of fish, moveable object used to break nets
* 5 = character's starting location, MUST BE DEFINED ONLY ONCE PER LEVEL
* With this scheme, you can write any level you please, put it into this 
* array, and update NUMBERLEVELS above, and it will compile into the game
* without any further modifications.  This also makes it convienient to write
* a level editor should I, or somebody else, choose to do so.
* If anyone writes any interesting levels that they would like to share
* and/or have included in future releases of Blowhole, please email me at:
* lance@somethingscrewy.com
*
* Some of the levels below are my original creations for this game, and
* others are adapted forms of levels from Slippy 1.0 by Martin Hock,
* the game on which Blowhole is based. (see README.txt file)  Each level
* is credited accordingly in the array.
*/

const u8 level[NUMBERLEVELS][10][15]__attribute__((section(".ewram"))) = {
{ //Level 1: adapted from Slippy 1.0 level 1
{ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
{ 1, 3, 3, 3, 3, 3, 3, 2, 0, 0, 2, 3, 3, 3, 1 },
{ 1, 2, 2, 2, 2, 2, 2, 2, 0, 0, 2, 2, 2, 2, 1 },
{ 1, 3, 2, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 3, 2, 0, 0, 0, 1, 0, 0, 0, 0, 4, 4, 0, 1 },
{ 1, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 2, 2, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 1 },
{ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
},

{ //Level 2: adapted from Slippy 1.0 level 2
{ 1, 2, 1, 2, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1 },
{ 1, 0, 0, 0, 1, 3, 3, 3, 3, 3, 1, 0, 1, 0, 1 },
{ 0, 4, 0, 0, 1, 1, 1, 1, 1, 0, 1, 0, 5, 0, 2 },
{ 0, 0, 0, 0, 2, 3, 3, 3, 3, 3, 1, 0, 4, 0, 1 },
{ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 1 },
{ 1, 3, 3, 3, 1, 0, 0, 1, 0, 0, 0, 1, 2, 1, 1 },
{ 1, 3, 3, 3, 1, 0, 0, 0, 0, 0, 0, 1, 3, 3, 1 },
{ 0, 3, 1, 1, 1, 0, 0, 0, 0, 4, 0, 1, 3, 3, 0 },
{ 1, 3, 1, 0, 0, 0, 1, 0, 0, 4, 0, 2, 3, 3, 1 },
{ 1, 3, 1, 0, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1 }
},

{ //Level 3: Blowhole original
{ 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0 },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0 },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0 },
{ 0, 1, 0, 0, 0, 1, 1, 1, 1, 1, 0, 0, 0, 1, 0 },
{ 0, 0, 0, 4, 0, 1, 3, 3, 3, 2, 0, 0, 1, 0, 0 },
{ 0, 0, 0, 0, 0, 1, 3, 3, 3, 2, 0, 0, 0, 0, 0 },
{ 0, 1, 0, 0, 0, 1, 1, 1, 1, 1, 0, 0, 0, 1, 0 },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0 },
{ 1, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 1, 0, 0, 0 },
{ 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0 }
},

{ //Level 4: adapted from Slippy 1.0 level 4
{ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
{ 1, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 1 },
{ 1, 1, 1, 0, 0, 0, 0, 4, 0, 0, 4, 0, 1, 3, 1 },
{ 1, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 1 },
{ 1, 1, 1, 0, 0, 4, 0, 0, 0, 0, 4, 0, 1, 1, 1 },
{ 1, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 1 },
{ 1, 1, 1, 0, 0, 0, 0, 4, 0, 0, 0, 0, 1, 3, 1 },
{ 1, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 1 },
{ 1, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 1 },
{ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
},

{ //Level 5: Blowhole original
{ 4, 4, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 2, 4, 4 },
{ 4, 2, 1, 4, 4, 4, 4, 4, 4, 4, 4, 4, 1, 2, 4 },
{ 4, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 4 },
{ 4, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 4 },
{ 4, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 4 },
{ 4, 0, 1, 0, 0, 0, 0, 5, 0, 0, 0, 0, 1, 0, 4 },
{ 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0 },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
},

{ //Level 6: adapted from Slippy 1.0 level 6
{ 1, 1, 1, 1, 1, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 3, 3, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 3, 3, 1 },
{ 1, 0, 0, 0, 0, 0, 4, 1, 0, 0, 2, 0, 4, 0, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 2, 2, 0, 2, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 1 },
{ 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 2, 3, 3, 3, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 3, 3, 1 },
{ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
},

{ //Level 7: Blowhole original
{ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
{ 1, 1, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1 },
{ 1, 1, 1, 0, 0, 4, 0, 0, 4, 0, 0, 1, 1, 3, 1 },
{ 1, 3, 1, 1, 1, 0, 4, 0, 0, 1, 1, 3, 3, 3, 1 },
{ 1, 3, 3, 3, 1, 4, 2, 2, 2, 3, 3, 3, 3, 4, 1 },
{ 1, 3, 4, 3, 3, 3, 2, 1, 2, 3, 3, 4, 3, 3, 1 },
{ 1, 3, 3, 3, 1, 1, 2, 1, 2, 1, 1, 3, 3, 3, 1 },
{ 1, 3, 1, 1, 0, 4, 0, 4, 0, 0, 1, 1, 1, 3, 1 },
{ 1, 1, 1, 0, 0, 0, 4, 4, 0, 0, 0, 0, 1, 1, 1 },
{ 1, 1, 1, 1, 1, 1, 0, 4, 0, 1, 1, 1, 1, 1, 1 }
},

{ //Level 8: adapted from Slippy 1.0 level 9
{ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
{ 1, 3, 2, 0, 0, 0, 0, 0, 0, 0, 2, 3, 3, 3, 1 },
{ 1, 3, 2, 0, 0, 0, 5, 0, 0, 0, 1, 1, 1, 1, 1 },
{ 1, 3, 2, 0, 1, 0, 0, 0, 0, 0, 0, 2, 3, 3, 1 },
{ 1, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 3, 1 },
{ 1, 3, 2, 0, 0, 0, 4, 0, 0, 0, 0, 2, 4, 3, 1 },
{ 1, 3, 2, 0, 4, 0, 0, 0, 0, 0, 0, 2, 1, 2, 1 },
{ 1, 3, 2, 0, 0, 4, 0, 4, 1, 0, 0, 2, 3, 3, 1 },
{ 1, 3, 2, 0, 0, 0, 1, 0, 0, 0, 0, 2, 3, 3, 1 },
{ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
},

{ //Level 9: adapted from Slippy 1.0 level 13
{ 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1 },
{ 1, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 1 },
{ 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 0, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 0, 4, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 2, 1, 2, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 3, 3, 3, 1, 3, 1, 0, 0, 4, 0, 0, 0, 0, 1 },
{ 1, 3, 3, 3, 2, 3, 1, 0, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 1, 1, 1, 1, 1, 1, 0, 5, 0, 1, 1, 1, 1, 1 }
},

{ //Level 10: Blowhole original
{ 1, 1, 1, 1, 0, 1, 2, 2, 1, 0, 1, 1, 1, 1, 1 },
{ 2, 4, 0, 0, 0, 1, 3, 2, 2, 0, 0, 0, 0, 0, 1 },
{ 2, 0, 0, 0, 0, 2, 3, 1, 2, 0, 0, 0, 0, 4, 0 },
{ 1, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 4, 0, 0, 1 },
{ 1, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0, 2 },
{ 1, 0, 0, 4, 0, 1, 3, 1, 0, 0, 0, 5, 0, 0, 2 },
{ 0, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0, 2 },
{ 2, 4, 0, 0, 0, 2, 3, 1, 0, 4, 0, 0, 0, 0, 0 },
{ 2, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0, 1 },
{ 2, 2, 2, 2, 2, 1, 1, 1, 1, 1, 2, 2, 2, 2, 1 }
},

{ //Level 11: adapted from Slippy 1.0 level 11
{ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
{ 1, 0, 0, 0, 0, 0, 2, 2, 3, 2, 3, 3, 3, 3, 1 },
{ 1, 5, 4, 0, 4, 4, 4, 1, 1, 1, 2, 1, 1, 1, 1 },
{ 3, 1, 1, 0, 0, 0, 0, 0, 0, 0, 4, 2, 3, 3, 2 },
{ 3, 3, 1, 0, 0, 0, 4, 0, 1, 4, 0, 2, 3, 3, 1 },
{ 3, 3, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 1, 1 },
{ 1, 1, 1, 2, 1, 0, 0, 0, 1, 4, 0, 2, 3, 3, 1 },
{ 2, 3, 3, 3, 2, 0, 0, 0, 1, 0, 0, 2, 3, 3, 3 },
{ 2, 3, 3, 1, 2, 0, 0, 0, 1, 0, 0, 2, 3, 3, 3 },
{ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
},

{ //Level 12: Blowhole original
{ 2, 2, 3, 4, 0, 0, 0, 1, 1, 1, 1, 1, 1, 3, 3 },
{ 1, 3, 3, 4, 0, 0, 0, 1, 0, 0, 0, 0, 1, 3, 3 },
{ 1, 2, 1, 1, 0, 0, 0, 1, 0, 0, 4, 0, 1, 1, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 0, 5, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 4, 0, 1 },
{ 1, 1, 1, 0, 0, 0, 4, 2, 0, 0, 1, 0, 0, 0, 2 },
{ 3, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 2, 2 },
{ 3, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 3 }
},

{ //Level 13: adapted from Slippy 1.0 level 8
{ 1, 1, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 3, 1 },
{ 1, 1, 0, 4, 0, 2, 0, 1, 0, 0, 1, 0, 0, 2, 1 },
{ 1, 5, 4, 0, 0, 2, 0, 0, 0, 0, 2, 0, 0, 1 ,1 },
{ 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 1 },
{ 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 1 },
{ 1, 1, 2, 2, 1, 1, 1, 2, 2, 1, 1, 1, 2, 1, 1 },
{ 1, 0, 0, 0, 0, 1, 1, 4, 4, 0, 1, 3, 3, 3, 1 },
{ 1, 1, 4, 4, 0, 2, 0, 0, 4, 0, 1, 3, 1, 1, 1 },
{ 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 3, 1, 0, 0 },
{ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1 }
},

{ //Level 14: Blowhole original
{ 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1 },
{ 1, 1, 0, 1, 1, 1, 0, 0, 0, 1, 1, 1, 0, 1, 1 },
{ 1, 0, 4, 2, 3, 4, 0, 0, 0, 4, 3, 2, 4, 0, 1 },
{ 1, 0, 0, 1, 1, 1, 0, 5, 0, 1, 1, 1, 0, 0, 1 },
{ 1, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 0, 1, 2, 1, 0, 0, 4, 0, 0, 1, 2, 1, 0, 1 },
{ 1, 0, 1, 3, 2, 0, 0, 0, 0, 0, 1, 3, 1, 0, 1 },
{ 1, 0, 1, 4, 1, 0, 0, 0, 1, 0, 1, 2, 1, 0, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
{ 1, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 1 }
},

{ //Level 15: adapted from Slippy 1.0 level 18
{ 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
{ 3, 1, 3, 2, 3, 3, 3, 2, 3, 3, 1, 3, 1, 3, 1 },
{ 3, 1, 1, 1, 2, 2, 3, 1, 1, 3, 1, 3, 1, 3, 1 },
{ 3, 3, 2, 1, 2, 2, 1, 1, 1, 1, 1, 2, 1, 2, 1 },
{ 1, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
{ 0, 4, 0, 0, 0, 0, 0, 4, 0, 1, 0, 0, 4, 0, 1 },
{ 5, 4, 0, 0, 0, 0, 0, 1, 0, 4, 0, 0, 4, 0, 1 },
{ 0, 4, 0, 0, 0, 0, 0, 1, 0, 4, 0, 0, 4, 0, 1 },
{ 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 1 },
{ 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 }
},

{ //Level 16: Blowhole original
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
{ 0, 0, 3, 0, 0, 0, 1, 1, 1, 0, 0, 0, 3, 0, 0 },
{ 0, 3, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 3, 0 },
{ 0, 0, 3, 0, 1, 0, 0, 0, 4, 0, 1, 0, 3, 0, 0 },
{ 0, 3, 0, 1, 0, 4, 4, 5, 0, 0, 0, 1, 0, 3, 0 },
{ 0, 0, 3, 1, 0, 0, 0, 0, 0, 4, 0, 1, 3, 0, 0 },
{ 0, 3, 0, 0, 1, 0, 4, 0, 0, 0, 1, 0, 0, 3, 0 },
{ 0, 0, 3, 0, 0, 1, 0, 0, 0, 1, 0, 0, 3, 0, 0 },
{ 0, 3, 0, 0, 0, 0, 1, 2, 1, 0, 0, 0, 0, 3, 0 },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 }
},

{ //Level 17: adapted from Slippy 1.9 level 17
{ 5, 1, 1, 0, 0, 1, 3, 1, 1, 1, 1, 1, 1, 1, 1 },
{ 0, 0, 4, 0, 4, 1, 2, 1, 3, 3, 2, 3, 3, 3, 1 },
{ 0, 4, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 1, 1 },
{ 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1 },
{ 0, 4, 0, 0, 0, 0, 0, 1, 0, 4, 1, 0, 0, 1, 1 },
{ 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 1 },
{ 0, 1, 0, 0, 1, 2, 1, 1, 1, 1, 1, 0, 0, 0, 1 },
{ 0, 4, 0, 0, 1, 3, 3, 1, 3, 2, 2, 0, 0, 0, 1 },
{ 0, 0, 4, 0, 1, 3, 3, 1, 3, 2, 2, 0, 0, 0, 1 },
{ 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
},

{ //Level 18: Blowhole original
{ 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
{ 0, 4, 4, 4, 0, 0, 0, 2, 0, 1, 0, 1, 2, 3, 1 },
{ 0, 4, 0, 0, 0, 0, 0, 2, 0, 1, 0, 1, 1, 3, 1 },
{ 0, 4, 4, 4, 0, 0, 1, 0, 0, 2, 0, 2, 0, 3, 1 },
{ 0, 0, 0, 4, 0, 0, 0, 1, 0, 1, 0, 0, 1, 3, 1 },
{ 0, 4, 4, 4, 0, 0, 0, 2, 0, 1, 4, 1, 1, 3, 1 },
{ 0, 4, 0, 0, 0, 0, 1, 0, 0, 2, 0, 2, 0, 3, 1 },
{ 0, 4, 4, 4, 0, 0, 0, 2, 0, 2, 0, 1, 1, 3, 1 },
{ 0, 0, 0, 0, 0, 5, 0, 1, 0, 1, 0, 1, 2, 3, 1 },
{ 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
},

{ //Level 19: adapted from Slippy 1.0 level 21
{ 1, 1, 1, 1, 1, 1, 1, 1, 3, 3, 1, 5, 0, 1, 0 },
{ 1, 3, 3, 2, 3, 3, 3, 1, 1, 1, 1, 4, 4, 4, 0 },
{ 1, 1, 1, 1, 3, 3, 3, 2, 2, 3, 1, 0, 0, 0, 0 },
{ 1, 3, 3, 2, 3, 3, 3, 1, 1, 1, 1, 0, 4, 0, 0 },
{ 1, 1, 1, 1, 2, 2, 2, 1, 0, 0, 0, 0, 1, 4, 0 },
{ 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0 },
{ 0, 4, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0 },
{ 0, 1, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 1 },
{ 0, 1, 0, 0, 0, 0, 0, 1, 2, 1, 1, 1, 0, 0, 0 },
{ 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 1, 1, 0, 0, 0 }
},

{ //Level 20: Blowhole original
{ 1, 1, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0 },
{ 1, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0 },
{ 1, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
{ 1, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
{ 1, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
{ 1, 3, 1, 0, 0, 0, 4, 4, 4, 4, 4, 0, 4, 0, 0 },
{ 1, 3, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0 },
{ 1, 3, 1, 1, 1, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0 },
{ 0, 2, 3, 3, 3, 2, 3, 2, 0, 0, 0, 0, 0, 0, 0 },
{ 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0 }
},

{ //Level 21: adapted from Slippy 1.0 level 20
{ 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
{ 0, 4, 4, 4, 0, 1, 2, 3, 1, 3, 2, 5, 2, 3, 1 },
{ 0, 0, 0, 0, 0, 0, 2, 1, 1, 1, 0, 4, 1, 3, 1 },
{ 0, 4, 1, 1, 0, 0, 2, 2, 3, 1, 0, 0, 1, 3, 1 },
{ 0, 4, 0, 4, 0, 0, 1, 1, 1, 1, 2, 2, 1, 1, 1 },
{ 0, 4, 0, 4, 0, 0, 2, 0, 4, 0, 0, 0, 1, 3, 1 },
{ 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 0, 0, 1, 3, 1 },
{ 0, 1, 4, 4, 1, 1, 1, 1, 2, 1, 2, 2, 1, 3, 1 },
{ 0, 0, 0, 0, 0, 0, 1, 3, 3, 1, 3, 3, 3, 3, 1 },
{ 0, 0, 0, 0, 0, 0, 2, 3, 3, 1, 3, 3, 3, 3, 1 }
},

{ //Level 22: adapted from Slippy 1.0 level 23
{ 1, 1, 1, 0, 0, 1, 0, 0, 1, 1, 1, 1, 3, 3, 1 },
{ 3, 3, 1, 0, 0, 0, 0, 0, 2, 3, 1, 1, 1, 2, 1 },
{ 3, 2, 2, 0, 0, 0, 0, 0, 1, 1, 1, 3, 3, 3, 1 },
{ 1, 1, 1, 0, 0, 0, 4, 0, 2, 4, 5, 2, 3, 3, 1 },
{ 3, 1, 1, 0, 0, 0, 0, 0, 1, 1, 4, 1, 2, 2, 1 },
{ 3, 2, 0, 0, 4, 4, 0, 0, 4, 0, 0, 1, 3, 3, 1 },
{ 1, 1, 0, 0, 4, 0, 0, 4, 0, 0, 0, 1, 1, 2, 1 },
{ 3, 2, 0, 0, 0, 0, 0, 4, 0, 4, 1, 1, 3, 3, 1 },
{ 3, 1, 0, 1, 0, 4, 0, 0, 0, 0, 1, 1, 3, 3, 1 },
{ 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 }
},

{ //Level 23: Blowhole original
{ 1, 1, 3, 3, 3, 1, 1, 1, 1, 0, 0, 1, 3, 3, 1 },
{ 1, 1, 2, 1, 1, 1, 0, 1, 0, 0, 0, 1, 3, 3, 1 },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 3 },
{ 1, 0, 0, 0, 0, 0, 4, 4, 4, 0, 0, 2, 0, 2, 3 },
{ 1, 0, 0, 0, 0, 0, 2, 5, 4, 0, 0, 0, 1, 1, 3 },
{ 1, 0, 1, 1, 1, 0, 2, 4, 4, 0, 0, 0, 0, 1, 1 },
{ 0, 0, 1, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
{ 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 1, 2, 1, 1, 1 },
{ 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 3, 3, 3, 1 },
{ 0, 0, 1, 1, 1, 0, 1, 1, 1, 0, 1, 1, 1, 1, 1 }
},

{ //Level 24: adapted from Slippy 1.0 level 22
{ 1, 3, 3, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
{ 1, 1, 2, 1, 2, 0, 0, 0, 0, 0, 0, 0, 2, 3, 3 },
{ 1, 3, 3, 3, 2, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1 },
{ 1, 2, 3, 4, 2, 0, 0, 2, 2, 3, 2, 3, 3, 2, 3 },
{ 1, 3, 3, 3, 2, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1 },
{ 1, 2, 1, 2, 1, 0, 0, 4, 0, 4, 0, 4, 0, 4, 0 },
{ 1, 3, 1, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0 },
{ 1, 3, 1, 3, 1, 0, 0, 4, 4, 4, 4, 4, 4, 1, 0 },
{ 1, 3, 1, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
{ 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5 }
},

{ //Level 25: adapted from Slippy 1.0 level 25
{ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
{ 1, 3, 3, 2, 2, 3, 2, 3, 3, 3, 1, 1, 3, 3, 1 },
{ 1, 3, 3, 1, 1, 3, 1, 3, 3, 3, 2, 2, 3, 3, 1 },
{ 1, 1, 1, 1, 1, 1, 1, 2, 2, 1, 1, 1, 1, 2, 1 },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 1 },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 1 },
{ 0, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 1 },
{ 0, 0, 0, 4, 4, 4, 4, 0, 4, 4, 4, 0, 1, 1, 1 },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5 },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
}
};

#endif

